c
c#######################################################################
c
c     Include file 'bccntl.inc' for ARPS 3.0.
c
c     Parameters defining the type of boundary conditions for the
c     east, west, north, south. top and bottom boundaries. 
c
c#######################################################################
c

c
c#######################################################################
c
c     AUTHER: Ming Xue
c     10/01/1991
c
c     MODIFICATION HISTORY:
c
c     7/25/92 (MX)
c     Added parameter rbcopt
c
c#######################################################################
c
      integer ebc   ! parameter defining east   boundary condition type.
      integer wbc   ! parameter defining west   boundary condition type.
      integer nbc   ! parameter defining north  boundary condition type.
      integer sbc   ! parameter defining south  boundary condition type.
      integer tbc   ! parameter defining top    boundary condition type.
      integer bbc   ! parameter defining bottom boundary condition type.
c
C#######################################################################
c
c     The type of boundary condition is defined independent for each
c     boundary, as far as they are consistent. 
c
c     When the value of these parameters are:
c     1, boundary condition is the regid wall type;
c     2, boundary condition is periodic;
c     3, zero gradient boundary condition is specified for all variables;
c     4, radiation (open) boundary condition is the sepcified;
c     5, boundary conditon is user (externally) specified.
c
C#######################################################################
c
      integer rbcopt ! option control parameter for 1-D or multi-
                     ! dimensional radiation lateral boundary condtion 
                     ! formulation. rbcopt=1 for 1-D; 2 for 3-D case.

	common /bccntl/ ebc,wbc,nbc,sbc,tbc,bbc,rbcopt
